BizKitHub
DocsAPI ReferenceLedger/bff/ledger/account/list
getLedgerAdmin BFF

/bff/ledger/account/list

Chart of accounts as of a date

LedgergetBffLedgerAccountList

Parameters

8 query

Query parameters

· 8
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
asOfstringOptional
Example2026-01-01
filterFulltextQuerystringOptional

DataGrid fulltext: code or name.

Length: 0–100
Exampleexample_filterFulltextQuery
accountClassstringOptional

Account class (first digit of the code).

Length: 0–1
Exampleexample_accountClass
showInactivestringOptional

true = include inactive accounts (DataGrid mode).

Exampleexample_showInactive
orderBystringOptional

DataGrid sort, field:asc|desc.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional

With page: DataGrid page size (clamped). Without both, the whole chart is returned.

Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/account/list

get
curl -X GET "https://api.bizkithub.com/bff/ledger/account/list?entityId=example_entityId&asOf=2026-01-01&filterFulltextQuery=example_filterFulltextQuery&accountClass=example_accountClass&showInactive=example_showInactive&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key